Bug 1907863 - Quickstarts status not updating when starting the tour
Summary: Quickstarts status not updating when starting the tour
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: Rohit Rai
QA Contact: Debsmita Santra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-15 11:51 UTC by Rohit Rai
Modified: 2021-02-24 15:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:43:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7553 0 None closed Bug 1907863: Update quick start actions to handle concurrent state updates 2021-01-18 09:51:48 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:44:37 UTC

Description Rohit Rai 2020-12-15 11:51:40 UTC
Description of problem:

From the Add Page or cluster overview page, when a quickstart tour is started the status is not updated in the card. Also, on completing all the tasks the close button doesn't seem to be working
Prerequisites (if any, like setup, operators/versions):
Steps to Reproduce

    Add Page -> click on a quick start on the Quickstarts catalog card
    Start tour

Actual results:

The status of the quick start is not changed to `In Progress`
Expected results:

The status of the quick start should change to `In Progress`
Reproducibility (Always/Intermittent/Only Once):

Always
Build Details:
Additional info:

Cannot to reproduce this issue on build : 4.7.0-0.nightly-2020-12-04-013308
Found this issue while running it on localhost after rebasing with master (commit id : 0a0880c2430765d12d0d96ea909182b9ddaed55f)

Comment 3 Debsmita Santra 2021-01-18 09:54:16 UTC
verified on build 4.7.0-0.nightly-2021-01-17-211555

Comment 5 errata-xmlrpc 2021-02-24 15:43:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.